Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.tools.adaptor.http
Class HttpException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  mx4j.tools.adaptor.http.HttpException

All Implemented Interfaces:
  java.io.Serializable

public class HttpException
extends java.io.IOException

HttpException is emitted when an error parsing an HTTP request appears

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Field Summary
`protected int` | `code` Error code

Constructor Summary
`HttpException(int code, java.lang.String description)` Constructor for the HttpException object

Method Summary
`int` | `getCode()` Return the exception code
`org.w3c.dom.Document` | `getResponseDoc()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    protected int code

  Error code

Constructor Detail

### HttpException

    public HttpException(int code,
                         java.lang.String description)

  Constructor for the HttpException object

Parameters:
  `code` - Error code
  `description` - Description

Method Detail

### getCode

    public int getCode()

  Return the exception code

### getResponseDoc

    public org.w3c.dom.Document getResponseDoc()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.